Browse Source

Delete vesta

Raphael Schneeberger 7 years ago
parent
commit
a920e5280d
1 changed files with 0 additions and 95 deletions
  1. 0 95
      src/deb/nginx/vesta

+ 0 - 95
src/deb/nginx/vesta

@@ -1,95 +0,0 @@
-#!/bin/sh
-
-### BEGIN INIT INFO
-# Provides:       vesta
-#                 internal nginx
-#                 internal php-fpm
-# Required-Start:    $local_fs $remote_fs $network $syslog
-# Required-Stop:     $local_fs $remote_fs $network $syslog
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: starts the vesta control panel
-# Description:       starts nginx and php-fpm using start-stop-daemon
-### END INIT INFO
-
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-NGINX_DAEMON=/usr/local/vesta/nginx/sbin/vesta-nginx
-NGINX_NAME=vesta-nginx
-NGINX_DESC=vesta-nginx
-NGINX_PID=/var/run/vesta-nginx.pid
-
-PHP_DAEMON=/usr/local/vesta/php/sbin/vesta-php
-PHP_NAME=vesta-php
-PHP_DESC=vesta-php
-PHP_PID=/var/run/vesta-php.pid
-PHP_CONF=/usr/local/vesta/php/etc/php-fpm.conf
-
-set -e
-
-. /lib/lsb/init-functions
-
-. /etc/profile.d/vesta.sh
-
-start_nginx() {
-    start-stop-daemon --start --quiet --pidfile $NGINX_PID \
-        --retry 5 --exec $NGINX_DAEMON --oknodo
-}
-
-start_php() {
-    start-stop-daemon --start --quiet --pidfile $PHP_PID \
-        --retry 5 --exec $PHP_DAEMON --oknodo
-}
-
-stop_nginx() {
-    start-stop-daemon --stop --quiet --pidfile $NGINX_PID \
-        --retry 5 --oknodo --exec $NGINX_DAEMON
-}
-
-stop_php() {
-    start-stop-daemon --stop --quiet --pidfile $PHP_PID \
-        --retry 5 --oknodo --exec $PHP_DAEMON
-}
-
-case "$1" in
-    start)
-        log_daemon_msg "Starting $NGINX_DESC" "$NGINX_NAME"
-        start_nginx
-        log_end_msg $?
-        log_daemon_msg "Starting $PHP_DESC" "$PHP_NAME"
-        start_php
-        log_end_msg $?
-        ;;
-
-    stop)
-        log_daemon_msg "Stopping $NGINX_DESC" "$NGINX_NAME"
-        stop_nginx
-        log_end_msg $?
-        log_daemon_msg "Stopping $PHP_DESC" "$PHP_NAME"
-        stop_php
-        log_end_msg $?
-        ;;
-
-    restart|force-reload|reload|configtest|testconfig)
-        log_daemon_msg "Restarting $NGINX_DESC" "$NGINX_NAME"
-        stop_nginx
-        stop_php
-        sleep 1
-        start_nginx
-        log_end_msg $?
-        log_daemon_msg "Restarting $PHP_DESC" "$PHP_NAME"
-        start_php
-        log_end_msg $?
-        ;;
-
-    status)
-        status_of_proc -p $NGINX_PID "$NGINX_DAEMON" vesta-nginx
-        status_of_proc -p $PHP_PID "$PHP_DAEMON" vesta-php
-        ;;
-
-    *)
-        echo "Usage: Vesta {start|stop|restart|status}" >&2
-        exit 1
-        ;;
-esac
-
-exit 0